






#import "HowArmCapableViewController.h"
#import "FormatsPlayButton.h"
#import "MidToast.h"
#import "AppearingTextField.h"
#import "NSString+TiedWorld.h"
@import WebKit;

@interface HowArmCapableViewController ()

@property (nonatomic, strong) AppearingTextField *zipDailyRowTextField;
@property (nonatomic, strong) UITextField *periodTagTextField;
@property (nonatomic, strong) FormatsPlayButton *spanUpperButton;

@end

@implementation HowArmCapableViewController


- (FormatsPlayButton *)spanUpperButton {
    if (!_spanUpperButton) {
        _spanUpperButton = [[FormatsPlayButton alloc] init];
    }
    return _spanUpperButton;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.tabTreeBagButton.hidden = [self.dublinChest[0] boolValue];
    
    UILabel *tenLabel = [UserArtRoot readyChromiumHardTakeRemote:UserArtRoot.builtOwnSeeEar.optPacketDitherFrameSplatCoached];
    tenLabel.numberOfLines = 0;
    [self.view addSubview:tenLabel];
    [tenLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(UserArtRoot.wayAbortLove.satisfiedWon);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.satisfiedWon);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.satisfiedWon);
    }];
    
    
    self.zipDailyRowTextField = [[AppearingTextField alloc] initWithController:self];
    [self.view addSubview:self.zipDailyRowTextField];
    [self.zipDailyRowTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(tenLabel.mas_bottom).offset(UserArtRoot.wayAbortLove.localeAnchor);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    
    self.periodTagTextField = [UserArtRoot topSubProjectsWrappersObscuresSixteenCode];
    [self.view addSubview:self.periodTagTextField];
    [self.periodTagTextField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.zipDailyRowTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.canGradeFind);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.bitsDesigner);
    }];
    
    overdue(self);
    self.spanUpperButton.rebusAreThreeAction = ^{
        thumbMask(self);
        NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
        NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
        if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
            [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
            [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
            return;
        }
        if ([self.jobIrishBezel respondsToSelector:@selector(middleWhiteNapQuickRowStartedPassiveType:weekendSend:ropeCode:completion:)]) {
            [ActualSkipView bondLocalDiskWindow];
            [self.jobIrishBezel middleWhiteNapQuickRowStartedPassiveType:UserArtRoot.wayAbortLove.claimPassHello weekendSend:sandboxPost ropeCode:stateMileCode completion:^(id object) {
                [ActualSkipView assistantTensionCarEraFetchWindow];
                if ([object boolValue]) {
                    [MidToast leftAirMin:UserArtRoot.builtOwnSeeEar.dailyTeaspoonsDenseObjectKeepEnhanceCode];
                }else {
                    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
                }
            }];
        }
    };
    [self.view addSubview:self.spanUpperButton];
    [self.spanUpperButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.periodTagTextField);
        make.height.equalTo(self.periodTagTextField);
        make.left.equalTo(self.periodTagTextField.mas_right).offset(UserArtRoot.wayAbortLove.panGreenSpan);
        make.right.equalTo(self.zipDailyRowTextField);
    }];
    
    
    [self.spanUpperButton setContentHuggingPriority:UILayoutPriorityRequired forAxis:UILayoutConstraintAxisHorizontal];
    
    
    UIButton *inferHangButton = [UserArtRoot arrayAuditedDirectorRedoneLongestColor:UserArtRoot.builtOwnSeeEar.figureRegionRealmExternPosition];
    [inferHangButton addTarget:self action:@selector(actionsWrappedIntroStairCadenceAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:inferHangButton];
    [inferHangButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.periodTagTextField.mas_bottom).offset(UserArtRoot.wayAbortLove.canGradeFind);
        make.left.mas_equalTo(UserArtRoot.wayAbortLove.deltaRefused);
        make.right.mas_equalTo(-UserArtRoot.wayAbortLove.deltaRefused);
        make.height.mas_equalTo(UserArtRoot.wayAbortLove.textBuddySee);
    }];
}

- (void)actionsWrappedIntroStairCadenceAction:(id)sender {
    if (self.zipDailyRowTextField.zipDailyRowTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.floorSixTrianglePedometerOverflowFire completion:nil];
        return;
    }
    if (self.periodTagTextField.text.capCovariant) {
        [KinAlertView solidFixMaxCookieFloorBecome:UserArtRoot.builtOwnSeeEar.hasExpand message:UserArtRoot.builtOwnSeeEar.petiteOceanSeventeenEarWet completion:nil];
        return;
    }
    NSString *stateMileCode = self.zipDailyRowTextField.adverbGrowEasy;
    NSString *sandboxPost = self.zipDailyRowTextField.remainderAudiogramLinerPhraseAmerican;
    if ([self.jobIrishBezel respondsToSelector:@selector(subFlushedCursorLocationFiltersSpacingEscaping:code:ropeCode:completion:)]) {
        [ActualSkipView bondLocalDiskWindow];
        [self.jobIrishBezel subFlushedCursorLocationFiltersSpacingEscaping:sandboxPost code:self.periodTagTextField.text ropeCode:stateMileCode completion:^(id object) {
            [ActualSkipView assistantTensionCarEraFetchWindow];
            if ([object boolValue]) {
                [[MatchMenuManager shared] oldDirtyCountTenGlyphBaseballViewController:self.navigationController];
                [MidToast leftAirMin:UserArtRoot.builtOwnSeeEar.keyElapsedSheetShortPreparedLong];
                if ([self.dublinChest[1] isKindOfClass:[WKWebView class]]) {
                    WKWebView *curlEyeCost = (WKWebView *)self.dublinChest[1];
                    [curlEyeCost reload];
                }
            }
        }];
    }
}

- (void)dealloc {
    [self.spanUpperButton clustersTranslatePacketUnderlineGranting];
}

@end
